<xml xmlns="http://www.w3.org/1999/xhtml">
  <block type="mpython_Interrupt_AB" id="YtsKVU!_9jx^v`.t!yX|" x="-255" y="-442">
    <field name="button">button_a</field>
    <field name="action">down</field>
    <statement name="DO">
      <block type="controls_if" id="3C?w~G)y/Ge.VL82M@^!">
        <mutation else="1"></mutation>
        <value name="IF0">
          <block type="logic_compare" id="ZW5FHsYpazys@blLsQyf">
            <field name="OP">LT</field>
            <value name="A">
              <block type="variables_get" id="VAYKlRL)jnN/*jDB7;$R">
                <field name="VAR">k</field>
              </block>
            </value>
            <value name="B">
              <block type="math_arithmetic" id="7lK)#So{[pu$%qV3T$mx">
                <field name="OP">MINUS</field>
                <value name="A">
                  <shadow type="math_number" id="Ob8f,y_c/$kj{=`%34Jd">
                    <field name="NUM">1</field>
                  </shadow>
                  <block type="tuple_min_max_len" id="WxC(}H|3?!ulS{i)qk_w">
                    <field name="tuple_min_max_len">len</field>
                    <value name="tuple_name">
                      <shadow type="text_tuple" id="AE}[iUDcA5vNXxm[eKYA">
                        <field name="TEXT"></field>
                      </shadow>
                      <block type="variables_get" id="dhqj+1dY@T(,9E$U2?h5">
                        <field name="VAR">yueqi</field>
                      </block>
                    </value>
                  </block>
                </value>
                <value name="B">
                  <shadow type="math_number" id="pKO`]W#tqlv?S::^#{a!">
                    <field name="NUM">1</field>
                  </shadow>
                </value>
              </block>
            </value>
          </block>
        </value>
        <statement name="DO0">
          <block type="math_change" id="kE[/Lb|d7x#7pE`nARdU">
            <field name="VAR">k</field>
            <value name="DELTA">
              <shadow type="math_number" id="!E$,o-h;M_ljs}@Cu[i#">
                <field name="NUM">1</field>
              </shadow>
            </value>
          </block>
        </statement>
        <statement name="ELSE">
          <block type="variables_set" id="3UBSzH#nxf8Z[_E|vKU#">
            <field name="VAR">k</field>
            <value name="VALUE">
              <shadow type="math_number" id=":io#TV}FJRP=%)MYz[2*">
                <field name="NUM">0</field>
              </shadow>
            </value>
          </block>
        </statement>
        <next>
          <block type="mpython_uart_write_byte" id="`Cb`M;*@9?,h:*J11mT$">
            <field name="uart_name">uart1</field>
            <value name="write_one_byte">
              <shadow type="math_number" id="A$jK.SFi|#u-T$Ds?mAb">
                <field name="NUM">192</field>
              </shadow>
            </value>
            <next>
              <block type="mpython_uart_write_byte" id="sFQF[NDjx0r)R!oyyZTM">
                <field name="uart_name">uart1</field>
                <value name="write_one_byte">
                  <shadow type="math_number" id="~%B)rGH9WqV.Dv{-os.m">
                    <field name="NUM">192</field>
                  </shadow>
                  <block type="tuple_order_item" id="iV2Jt^.;}~+rQZ]u()9X">
                    <field name="tuple_order">[</field>
                    <value name="tuple_name">
                      <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                        <field name="TEXT"></field>
                      </shadow>
                      <block type="tuple_order_item" id="NQhL=L!od`A[ag}.Z/KU">
                        <field name="tuple_order">[</field>
                        <value name="tuple_name">
                          <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                            <field name="TEXT"></field>
                          </shadow>
                          <block type="variables_get" id="s2p^c09}|S=]!@Q(RY|d">
                            <field name="VAR">yueqi</field>
                          </block>
                        </value>
                        <value name="tuple_order_item">
                          <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                            <field name="NUM">0</field>
                          </shadow>
                          <block type="variables_get" id="P*LFU0`itP`f3vcx|L7L">
                            <field name="VAR">k</field>
                          </block>
                        </value>
                      </block>
                    </value>
                    <value name="tuple_order_item">
                      <shadow type="math_number" id="0dx=Gm?d?Uc9Oqf{VjVE">
                        <field name="NUM">0</field>
                      </shadow>
                    </value>
                  </block>
                </value>
                <next>
                  <block type="mpython_uart_write_byte" id="v-PBf8.;nPM]t@T`Dpc#">
                    <field name="uart_name">uart1</field>
                    <value name="write_one_byte">
                      <shadow type="math_number" id="Mj#d4SM=~f#i#br[F*_Q">
                        <field name="NUM">192</field>
                      </shadow>
                      <block type="tuple_order_item" id="9!)q%Ts8w|ds#F.VKt?q">
                        <field name="tuple_order">[</field>
                        <value name="tuple_name">
                          <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                            <field name="TEXT"></field>
                          </shadow>
                          <block type="tuple_order_item" id="GMZ5JX,N;H-C{jSjtwMp">
                            <field name="tuple_order">[</field>
                            <value name="tuple_name">
                              <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                                <field name="TEXT"></field>
                              </shadow>
                              <block type="variables_get" id=";Ww6Ex%_s}3CMMZ*nJqj">
                                <field name="VAR">yueqi</field>
                              </block>
                            </value>
                            <value name="tuple_order_item">
                              <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                                <field name="NUM">0</field>
                              </shadow>
                              <block type="variables_get" id="o2reW!+?w(vECv!NHe!k">
                                <field name="VAR">k</field>
                              </block>
                            </value>
                          </block>
                        </value>
                        <value name="tuple_order_item">
                          <shadow type="math_number" id="4I{O%V{Yv~S5RaP@7@_X">
                            <field name="NUM">0</field>
                          </shadow>
                        </value>
                      </block>
                    </value>
                    <next>
                      <block type="mpython_display_fill" id="#s6,!ivx@cdJRjAGc)7F">
                        <field name="display_fill">fill(0)</field>
                        <next>
                          <block type="mpython_display_DispChar" id="nmPqRW_$e`G)=Ya75mgh">
                            <field name="TEXTMODE">1</field>
                            <value name="x">
                              <shadow type="math_number" id="f8^ReJ;)6wvES$S/GG%|">
                                <field name="NUM">44</field>
                              </shadow>
                            </value>
                            <value name="y">
                              <shadow type="math_number" id="nJe}+G#|I2h}2nr22XE^">
                                <field name="NUM">22</field>
                              </shadow>
                            </value>
                            <value name="message">
                              <shadow type="text" id=".VT4W@Gd(#1JXj!Tgu)u">
                                <field name="TEXT">Hello, world!</field>
                              </shadow>
                              <block type="tuple_order_item" id="Qzp!pNmNm!mvSB2Dyf=}">
                                <field name="tuple_order">[</field>
                                <value name="tuple_name">
                                  <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                                    <field name="TEXT"></field>
                                  </shadow>
                                  <block type="tuple_order_item" id="Vm1Ec%OJ5p1TZ3z-[V:{">
                                    <field name="tuple_order">[</field>
                                    <value name="tuple_name">
                                      <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                                        <field name="TEXT"></field>
                                      </shadow>
                                      <block type="variables_get" id="luxcRaUk!{PCl)q5Z=}1">
                                        <field name="VAR">yueqi</field>
                                      </block>
                                    </value>
                                    <value name="tuple_order_item">
                                      <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                                        <field name="NUM">0</field>
                                      </shadow>
                                      <block type="variables_get" id="#mJbrA8*NG%UgYbZ*4o#">
                                        <field name="VAR">k</field>
                                      </block>
                                    </value>
                                  </block>
                                </value>
                                <value name="tuple_order_item">
                                  <shadow type="math_number" id="tH*W=.3]C[wBB^N{o#ik">
                                    <field name="NUM">1</field>
                                  </shadow>
                                </value>
                              </block>
                            </value>
                            <next>
                              <block type="mpython_display_Show" id="EpML?2^Gb4-RAfQth=5^"></block>
                            </next>
                          </block>
                        </next>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
  </block>
  <block type="mpython_uart_init" id="mP{]E((~@quNwk[yo$qi" x="-257" y="36">
    <field name="uart_name">uart1</field>
    <value name="baudrate">
      <shadow type="mpython_baudrate" id="Vk#F:a|{Cs0G)3/z1E*T">
        <field name="baudrate">31250</field>
      </shadow>
    </value>
    <value name="tx">
      <shadow type="uart_tx_pin" id="blcYNPx.}6P]*1+:LKQp">
        <field name="uart_tx_pin">13</field>
      </shadow>
    </value>
    <value name="rx">
      <shadow type="uart_rx_pin" id="Cz^Fle8IhB7|+~+)u|?)">
        <field name="uart_rx_pin">8</field>
      </shadow>
    </value>
    <next>
      <block type="variables_set" id="jNN^%#5A.O9cRp*m-?L;">
        <field name="VAR">yueqi</field>
        <value name="VALUE">
          <shadow type="math_number" id="{0za.pejVN~KYbBF$Ql=">
            <field name="NUM">0</field>
          </shadow>
          <block type="text_tuple" id="=y}qU}JqnFKdsCL4j4=#">
            <field name="TEXT">(0,"钢琴"),(10,"八音盒"),(22,"口琴"),(25,"吉他"),(40,"小提琴"),(56,"小号")</field>
          </block>
        </value>
        <next>
          <block type="variables_set" id="Q{S(T`4D|w-?b*Wla/d}">
            <field name="VAR">k</field>
            <value name="VALUE">
              <shadow type="math_number" id="Z[__Zo0pAr7(cGux.`j]">
                <field name="NUM">0</field>
              </shadow>
            </value>
            <next>
              <block type="mpython_uart_write_byte" id="nU7*P[V2UEu6~R0PN[YT">
                <field name="uart_name">uart1</field>
                <value name="write_one_byte">
                  <shadow type="math_number" id="^+CyrE3E7Gp5ZQU%L.qU">
                    <field name="NUM">192</field>
                  </shadow>
                </value>
                <next>
                  <block type="mpython_uart_write_byte" id="9%jmV_CnY8c@loT7K^j5">
                    <field name="uart_name">uart1</field>
                    <value name="write_one_byte">
                      <shadow type="math_number" id="~%B)rGH9WqV.Dv{-os.m">
                        <field name="NUM">192</field>
                      </shadow>
                      <block type="tuple_order_item" id="K^2BPVCUEGg(Rx2nE3eX">
                        <field name="tuple_order">[</field>
                        <value name="tuple_name">
                          <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                            <field name="TEXT"></field>
                          </shadow>
                          <block type="tuple_order_item" id="mWiPB}=RTypG6K?@;e^C">
                            <field name="tuple_order">[</field>
                            <value name="tuple_name">
                              <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                                <field name="TEXT"></field>
                              </shadow>
                              <block type="variables_get" id="?pQjhAI][)duq|J%h55f">
                                <field name="VAR">yueqi</field>
                              </block>
                            </value>
                            <value name="tuple_order_item">
                              <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                                <field name="NUM">0</field>
                              </shadow>
                              <block type="variables_get" id="05]@ek^_IAHD3ms.-DLD">
                                <field name="VAR">k</field>
                              </block>
                            </value>
                          </block>
                        </value>
                        <value name="tuple_order_item">
                          <shadow type="math_number" id="`bPS1T}2g`b2_DR;pmV:">
                            <field name="NUM">0</field>
                          </shadow>
                        </value>
                      </block>
                    </value>
                    <next>
                      <block type="mpython_uart_write_byte" id="#(ZVBth6:soJYu`{%@Ca">
                        <field name="uart_name">uart1</field>
                        <value name="write_one_byte">
                          <shadow type="math_number" id="Mj#d4SM=~f#i#br[F*_Q">
                            <field name="NUM">192</field>
                          </shadow>
                          <block type="tuple_order_item" id="zUoLtsYoZKU~wIJo2%4q">
                            <field name="tuple_order">[</field>
                            <value name="tuple_name">
                              <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                                <field name="TEXT"></field>
                              </shadow>
                              <block type="tuple_order_item" id="^{|t?:w*Q9c_@Ghf/;HF">
                                <field name="tuple_order">[</field>
                                <value name="tuple_name">
                                  <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                                    <field name="TEXT"></field>
                                  </shadow>
                                  <block type="variables_get" id=":r|A,oLE2X]E-;5,PC43">
                                    <field name="VAR">yueqi</field>
                                  </block>
                                </value>
                                <value name="tuple_order_item">
                                  <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                                    <field name="NUM">0</field>
                                  </shadow>
                                  <block type="variables_get" id="]_Bixjr%OsG]xm8#,HaI">
                                    <field name="VAR">k</field>
                                  </block>
                                </value>
                              </block>
                            </value>
                            <value name="tuple_order_item">
                              <shadow type="math_number" id=".-5v1.]l/GA(@uL~e~at">
                                <field name="NUM">0</field>
                              </shadow>
                            </value>
                          </block>
                        </value>
                        <next>
                          <block type="mpython_display_fill" id="%-0K2/=s*]t0C]H2-f.Q">
                            <field name="display_fill">fill(0)</field>
                            <next>
                              <block type="mpython_display_DispChar" id="5T:3j$Oo/1t@)QZueEYy">
                                <field name="TEXTMODE">1</field>
                                <value name="x">
                                  <shadow type="math_number" id="~|Ihj^|6Y#Rxgh0Q;fn+">
                                    <field name="NUM">44</field>
                                  </shadow>
                                </value>
                                <value name="y">
                                  <shadow type="math_number" id="-XMj%*]!@6MBLdJxkC[1">
                                    <field name="NUM">22</field>
                                  </shadow>
                                </value>
                                <value name="message">
                                  <shadow type="text" id=".VT4W@Gd(#1JXj!Tgu)u">
                                    <field name="TEXT">Hello, world!</field>
                                  </shadow>
                                  <block type="tuple_order_item" id="@/hTNA8I9a%@ra)0F,XI">
                                    <field name="tuple_order">[</field>
                                    <value name="tuple_name">
                                      <shadow type="text_tuple" id="pI$M;bYAi,$wl=[/AhgN">
                                        <field name="TEXT"></field>
                                      </shadow>
                                      <block type="tuple_order_item" id="CI,}Wk8~]t!)Dh{6!((+">
                                        <field name="tuple_order">[</field>
                                        <value name="tuple_name">
                                          <shadow type="text_tuple" id="js{X3Ex04/$hK;owE{0u">
                                            <field name="TEXT"></field>
                                          </shadow>
                                          <block type="variables_get" id="548#fkU!z|oPZ!bOBw7v">
                                            <field name="VAR">yueqi</field>
                                          </block>
                                        </value>
                                        <value name="tuple_order_item">
                                          <shadow type="math_number" id="d[[WjqCGQV(3gm{E@`?1">
                                            <field name="NUM">0</field>
                                          </shadow>
                                          <block type="variables_get" id="-E}_pmqhcden0mWkP8^k">
                                            <field name="VAR">k</field>
                                          </block>
                                        </value>
                                      </block>
                                    </value>
                                    <value name="tuple_order_item">
                                      <shadow type="math_number" id="!U:L#NaJ?_)Ax8QD_E3]">
                                        <field name="NUM">1</field>
                                      </shadow>
                                    </value>
                                  </block>
                                </value>
                                <next>
                                  <block type="mpython_display_Show" id="L=%8gv[,izRO*KVQ4a{)">
                                    <next>
                                      <block type="controls_repeat_forever" id="{|t/[j]-J1ba8-7Vp-z!"></block>
                                    </next>
                                  </block>
                                </next>
                              </block>
                            </next>
                          </block>
                        </next>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </next>
  </block>
  <block type="mpython_touch_event" id="f-avqjL}8W|u4vH_sGDT" x="-260" y="532">
    <field name="touchPad">P</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="^J,`R2+bv,P`+0|4xsN|">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="Ap^Te|$PswB!xY*)+}|H">
            <field name="TEXT">0x90, 0x3C, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="0k$@(zA{]_J}Hub3|EI9" x="-264" y="636">
    <field name="touchPad">P</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="4@`ToO/^PAI0j@mdp1OG">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="5Qw+6o93S4?WBM@_AG;U">
            <field name="TEXT">0x80, 0x3C, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="sNc|^:7)(1e+xmBENJl]" x="-266" y="742">
    <field name="touchPad">Y</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="3rO^TU.H(WrDu%nK,CGS">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="o#t-ep!;um6`9b~E`^+H">
            <field name="TEXT">0x90, 0x3E, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="p7D!6Va~~*YQAo$WKi!%" x="-267" y="856">
    <field name="touchPad">Y</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="283[{rK0/ZYY8y5qPz6f">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="1J//,k}h2(#IblyN?v!|">
            <field name="TEXT">0x80, 0x3E, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="%xv_jMF23H+YS[jUP{ta" x="-262" y="986">
    <field name="touchPad">T</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="3Vxb9xdqXfHVtVbOvDgi">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="Yq$NxlY7ODZ,tD$=sy{`">
            <field name="TEXT">0x90, 0x40, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="@]2FXUM-T5#|K:bGfNw}" x="-262" y="1088">
    <field name="touchPad">T</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="CkF%$Txt)XUz$foN_CW3">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="kWX02CM$1kxNAel:-NPt">
            <field name="TEXT">0x80, 0x40, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="k);c0qAU~rvT+A!*1EIO" x="-262" y="1195">
    <field name="touchPad">H</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="hk/1Pt0QqwURU{H`Mhz!">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="lUuT(kF23dCQ3EK9Lj,m">
            <field name="TEXT">0x90, 0x41, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="klD3emwDf?OlMf?oC,nP" x="-263" y="1285">
    <field name="touchPad">H</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="YjdPcuZMJA}#G2B=;a:7">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="*9XU5?{Wy{$4.vLsa=9(">
            <field name="TEXT">0x80, 0x41, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="wpzwX0pmJF$VRq[KM}j4" x="-268" y="1394">
    <field name="touchPad">O</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="R{89#pvQV51q)p]w|=O!">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="xG6`l1jAd9,6dZ^E!#8b">
            <field name="TEXT">0x90, 0x43, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="AH=I~;DGM;BZ8Z2@oLK2" x="-264" y="1504">
    <field name="touchPad">O</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="(sr0Kt72rB?fxRfpg7oR">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="o%r`6:0^,Ar}KWVo4|)F">
            <field name="TEXT">0x80, 0x43, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="j.xRmcggs-w#,VyZv{-i" x="-260" y="1637">
    <field name="touchPad">N</field>
    <field name="action">pressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="=etcc=5qA7(Ysc/=/!nY">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="8;x:O)5VWZcoWkVDfw`4">
            <field name="TEXT">0x90, 0x45, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
  <block type="mpython_touch_event" id="R#/)nbRvRXtG-In3`q9m" x="-264" y="1758">
    <field name="touchPad">N</field>
    <field name="action">unpressed</field>
    <statement name="DO">
      <block type="mpython_uart_write_bytes" id="wvN?E-a.V;Q]SWaxXr0S">
        <field name="uart_name">uart1</field>
        <value name="write_byte_arrays">
          <shadow type="text_list" id="2?$=aqjp8%ufKIS^c^C=">
            <field name="TEXT">0x80, 0x45, 0x40</field>
          </shadow>
        </value>
      </block>
    </statement>
  </block>
</xml>